Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.explorer.propertysheet.editors
Class IdentifierArrayEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.openide.explorer.propertysheet.editors.IdentifierArrayEditor

All Implemented Interfaces:
  PropertyEditor, ExPropertyEditor

    public class IdentifierArrayEditor

extends PropertyEditorSupport
implements ExPropertyEditor

Property editors for array of org.openide.src.Identifier

Field Summary

Fields inherited from interface org.openide.explorer.propertysheet.ExPropertyEditor
`PROP_VALUE_VALID, PROPERTY_HELP_ID`

Constructor Summary
`IdentifierArrayEditor()`

Method Summary
`void` | `attachEnv(PropertyEnv env)` This method is called by the IDE to pass the environment to the property editor.
`String` | `getAsText()`
`Component` | `getCustomEditor()` Create new panel for this property editor.
`void` | `setAsText(String text)` Sets the value as the text
`void` | `setValue(Object o)` Set new value
`boolean` | `supportsCustomEditor()`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.beans.PropertyEditor
`addPropertyChangeListener, getJavaInitializationString, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener`

Constructor Detail

### IdentifierArrayEditor

    public IdentifierArrayEditor()

Method Detail

### getAsText

    public String getAsText()

  Specified by:
    `getAsText` in interface `PropertyEditor`
  Overrides:
    `getAsText` in class `PropertyEditorSupport`
  Returns:
    text representation of the value

### setAsText

    public void setAsText(String text)
                   throws IllegalArgumentException

  Sets the value as the text

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`
  Throws:
    `IllegalArgumentException`

### setValue

    public void setValue(Object o)

  Set new value

  Specified by:
    `setValue` in interface `PropertyEditor`
  Overrides:
    `setValue` in class `PropertyEditorSupport`

### supportsCustomEditor

    public boolean supportsCustomEditor()

  Specified by:
    `supportsCustomEditor` in interface `PropertyEditor`
  Overrides:
    `supportsCustomEditor` in class `PropertyEditorSupport`
  Returns:
    `true`

### getCustomEditor

    public Component getCustomEditor()

  Create new panel for this property editor.

  Specified by:
    `getCustomEditor` in interface `PropertyEditor`
  Overrides:
    `getCustomEditor` in class `PropertyEditorSupport`
  Returns:
    the visual component for editing the property

### attachEnv

    public void attachEnv(PropertyEnv env)

  This method is called by the IDE to pass the environment to the property editor.

  Specified by:
    `attachEnv` in interface `ExPropertyEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.